class Basin(object):

    def __init__(self, shortname, fullname):
        self._shortname = shortname
        self._fullname = fullname

    @property
    def shortname(self):
        return self._shortname

    @property
    def fullname(self):
        return self._fullname


class Basins(object):
    Global = Basin('glob', 'global_ocean')
    NorthAtlantic = Basin('NAtl', 'north_atlantic_ocean')
    NorthPacific = Basin('NPac', 'north_pacific_ocean')
    TropicalAtlantic = Basin('TAtl', 'tropical_atlantic_ocean')
    TropicalPacific = Basin('TPac', 'tropical_pacific_ocean')
    TropicalIndic = Basin('TInd', 'indian_ocean')
    Antarctic = Basin('Anta', 'antarctic_ocean')
    Arctic = Basin('Arct', 'arctic_ocean')
